Subject: Re: bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: João Távora <[email-masked]>
Date: Wed, 30 Jun 2021 14:21:40 +0100

On Wed, Jun 30, 2021 at 2:03 PM Stefan Monnier <[email-masked]> wrote:
>
> > How do you suggest to do that in a concise enough way appropriate for
> > a doc string?
>
> See patch below.
>
> > >>  (define-derived-mode lisp-mode lisp-data-mode "Lisp"
> > >> -  "Major mode for editing Lisp code for Lisps other than GNU Emacs Lisp.
> > >> +  "Major mode for editing Common Lisp code.

Fine with me.

> > Did lisp-mode.el changed significantly during those 20 years?  did
> > Maclisp change significantly?  If not, we don't have a problem more
> > that we had it back then, do we?
>
> The problem is indeed not new, it's the same as 20 years ago.
> It's just that noone bothered to fix it.

...because noone really uses MacLisp :-)  Or Lisp in general :-(

João